Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
dynamic_handler.hpp File Reference
`#include <osmium/handler.hpp>`
`#include <memory>`
`#include <utility>`
Include dependency graph for dynamic_handler.hpp:

Go to the source code of this file.

## Classes
class | osmium::handler::DynamicHandler

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::handler
| Osmium handlers provide callbacks for OSM objects.

## Macros
#define | OSMIUM_DYNAMIC_HANDLER_DISPATCH(_name_, _type_)

## Macro Definition Documentation

## ◆ OSMIUM_DYNAMIC_HANDLER_DISPATCH

#define OSMIUM_DYNAMIC_HANDLER_DISPATCH | ( |  | _name_,
|  |  | _type_ )

Value:
template <typename THandler> \
auto _name_##_dispatch(THandler& handler, const osmium::_type_& object, int) -> decltype(handler._name_(object), void()) { \
handler._name_(object); \
} \
template <typename THandler> \
auto _name_##_dispatch(THandler& handler, const osmium::_type_& object, long) -> decltype(handler(object), void()) { \
handler(object); \
}